# norootforbuild

Name:		x-tile
Version:	1.9
Release:	1.pm.1.1

Summary:	A gnome applet to tile windows
License:	GPLv2
Group:		System/X11/Utilities
URL:		http://www.giuspen.com/x-tile/

Source0:	%{name}-%{version}.tar.gz

Requires:	python python-gnome python-gtk

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	python python-gnome python-gtk update-desktop-files


%description
X-tile is a gnome applet for your panel (or optionally a standalone application,
working with kde as well) that allows you to select a number of windows and tile
them in different ways.
This is especially useful for comparing products in separate web pages, or for
programmers refering to documentation as they are programming.


%prep
%setup -q


%build


%install
%__mkdir_p %{buildroot}/%{_bindir}
%__install -m 755 %{name} %{buildroot}/%{_bindir}/

%__mkdir_p %{buildroot}/%{_prefix}/lib/bonobo/servers
%__install -m 644 linux/%{name}.server %{buildroot}/%{_prefix}/lib/bonobo/servers
%__mkdir_p %{buildroot}/%{_datadir}/applications
%__install -m 644 linux/%{name}.desktop %{buildroot}/%{_datadir}/applications/
%__mkdir_p %{buildroot}/%{_datadir}/pixmaps
%__install -m 644 linux/%{name}.svg %{buildroot}/%{_datadir}/pixmaps/

%suse_update_desktop_file -r %{name} Utility DesktopUtility

pushd locale
%__python i18n_po_to_mo.py
for dir in de fr it ru zh_TW
  do
  %__mkdir_p %{buildroot}/%{_datadir}/locale/$dir
  %__cp -r $dir/* %{buildroot}/%{_datadir}/locale/$dir/
done
popd

%__mkdir_p %{buildroot}/%{_datadir}/%{name}/glade
for filename in glade/*.*
do
    %__install -m 644 $filename %{buildroot}/%{_datadir}/%{name}/glade/
done

%__mkdir_p %{buildroot}/%{_datadir}/%{name}/modules
for filename in modules/*.py
do
   %__install -m 755 $filename %{buildroot}/%{_datadir}/%{name}/modules/
done

%find_lang %{name}

%clean
%__rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%dir %{_prefix}/lib/bonobo/servers
%{_prefix}/lib/bonobo/servers/%{name}.server
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/glade
%{_datadir}/%{name}/glade/*
%dir %{_datadir}/%{name}/modules
%{_datadir}/%{name}/modules/*


%changelog
* Fri Jun 24 2011 detlef@links2linux.de
- new upstream version <1.9>
* Sat Mar 12 2011 detlef@links2linux.de
- new upstream version <1.8.6>
* Tue Feb  8 2011 detlef@links2linux.de
- new upstream version <1.8.5>
  • added the opportunity to invert the order of the latest tiling operation
    (e.g. tiled 3 windows left to right A B C become C B A)
  • when doing undo tiling twice now the position of the windows is the same
    as no undo tiling was called (undo of the undo)
* Sat Dec  4 2010 detlef@links2linux.de
- new upstream version <1.8.4>
* Mon Nov 15 2010 detlef@links2linux.de
- new upstream version <1.8.3>
* Sat Oct 30 2010 detlef@links2linux.de
- new upstream version <1.8.2>
* Fri Oct  8 2010 detlef@links2linux.de
- new upstream version <1.8.1>
* Wed Sep 22 2010 detlef@links2linux.de
- new upstream version <1.7.1>
* Thu Sep  9 2010 detlef@links2linux.de
- new upstream version <1.7>
* Wed Jul 21 2010 detlef@links2linux.de
- new upstream version <1.6.1>
  • fixed bug
  • added japanese language (thanks Iwai, Kazutaka)
* Mon Jul  5 2010 detlef@links2linux.de
- initial build for PackMan <1.6>
